summaryrefslogtreecommitdiffstats
path: root/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S03bootsplash
diff options
context:
space:
mode:
authorJohn Voltz <john.voltz@gmail.com>2008-04-24 11:22:06 +0000
committerJohn Voltz <john.voltz@gmail.com>2008-04-24 11:22:06 +0000
commit701475f791025cfb08e9b8cee35bb63ca772416f (patch)
tree42f671f8309e37ab70f18bca35265a097fc90cd0 /target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S03bootsplash
parentb4173a87fec4e0f5ac497a6b1581279fdb5042be (diff)
downloadbuildroot-novena-701475f791025cfb08e9b8cee35bb63ca772416f.tar.gz
buildroot-novena-701475f791025cfb08e9b8cee35bb63ca772416f.zip
This patch renames the Atmel atstk1002 target board to a more generic atstk100x name. This to make it easier to add support for other CPU-boards than atstk1002.
Submitted by Hans-Christian Egtvedt
Diffstat (limited to 'target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S03bootsplash')
-rw-r--r--target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S03bootsplash25
1 files changed, 25 insertions, 0 deletions
diff --git a/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S03bootsplash b/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S03bootsplash
new file mode 100644
index 000000000..21a3a5758
--- /dev/null
+++ b/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S03bootsplash
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+FBV=/usr/bin/fbv
+FBSET=/usr/sbin/fbset
+FBMODEFILE="/etc/fb.modes"
+SPLASHFILE="/etc/stk1000bootsplash.jpg"
+
+echo -n "Bootsplash image: "
+if [ ! -x "${FBV}" -o ! -x "${FBSET}" -o \
+ ! -f "${SPLASHFILE}" -o ! -f "${FBMODEFILE}" ]; then
+ echo "missing"
+ exit 1
+fi
+
+if ! ${FBSET} 320x240-68; then
+ echo "failed"
+ exit 1
+fi
+
+${FBV} ${SPLASHFILE} > /dev/null &
+if [ $? -eq 0 ]; then
+ echo "loaded"
+else
+ echo "failed"
+fi